#
# spec file for package go-licenses
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           go-licenses
Version:        2.0.0alpha1
Release:        1.4
Summary:        CLI tool to report the licenses used by a Go package and its dependencies
License:        Apache-2.0
Group:          Development/Languages/Go
URL:            https://github.com/google/go-licenses
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.19

%description
go-licenses analyzes the dependency tree of a Go package/binary. It can output a
report on the libraries used and under what license they can be used. It can
also collect all of the license documents, copyright notices and source code
into a directory in order to comply with license terms on redistribution.

%prep
%autosetup -a 1

%build
%ifnarch ppc64
export GOFLAGS="-buildmode=pie"
%endif
go build

%check
# execute the binary as a basic check
./%{name} --help

%install
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Oct  7 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Initial package version 2.0.0alpha1:
  * Add /v2 to module and imports (#270)
  * build(deps): bump golang.org/x/text from 0.12.0 to 0.13.0 (#226)
  * build(deps): bump golang.org/x/tools from 0.8.0 to 0.12.0 (#223)
  * Performance Improvements (#204)
  * add more complex e2e test (#215)
  * if the same license is found in a LICENSE file twice, only return it once (#214)
  * Upgrade dependencies including licenseclassifier/v2 (#203)
  * build(deps): bump golang.org/x/net from 0.5.0 to 0.9.0 (#201)
  * chore: improve check error message when license not found (#197)
  * Bump golang.org/x/mod from 0.7.0 to 0.9.0 (#188)
